//
//  LearnModeModifier.h
//  WiiToMidi
//
//  Created by Mike Verdone on 27/12/06.
//  Copyright 2006 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#import "WiiStateArray.h"

#define NUM_SUBMODES 5

#define SUBMODE_ACC 0
#define SUBMODE_VEL 1
#define SUBMODE_POS 2
#define SUBMODE_ORI 3
#define SUBMODE_JOY 4

@interface LearnModeModifier : NSObject {
	BOOL _learnMode;
	int _learnSubMode;
	BOOL _firstTime;
	unsigned char _oldSignals[STATE_ARR_SIZE];
}

-(id) init;
-(id) setLearnMode:(BOOL)learnMode;
-(id) setLearnSubMode:(int)submode;
-(BOOL) learnMode;
-(int) learnSubMode;
-(void) manipulate:(WiiStateArray)state;

@end
